player_laser_data_scanangle Struct Reference

Data: scan (PLAYER_LASER_DATA_SCANANGLE) More...

`#include <player_interfaces.h>`

## Public Attributes

float | max_range
| Maximum range [m]. More...
uint32_t | ranges_count
| Number of range readings. More...
float * | ranges
| Range readings [m]. More...
uint32_t | angles_count
| Number of agle readings. More...
float * | angles
| Angle readings [m]. More...
uint32_t | intensity_count
| Number of intensity readings.
uint8_t * | intensity
| Intensity readings. More...
uint32_t | id
| A unique, increasing, ID for the scan.

## Detailed Description

Data: scan (PLAYER_LASER_DATA_SCANANGLE)

The basic laser angle stamped data packet.

## Member Data Documentation

float* player_laser_data_scanangle::angles

Angle readings [m].

uint32_t player_laser_data_scanangle::angles_count

Number of agle readings.

uint8_t* player_laser_data_scanangle::intensity

Intensity readings.

float player_laser_data_scanangle::max_range

Maximum range [m].

float* player_laser_data_scanangle::ranges

Range readings [m].

uint32_t player_laser_data_scanangle::ranges_count

Number of range readings.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45